Get a template variable contract
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "email-template-contract",
"purpose": "redemption-link-otp",
"variables": [
{
"name": "otpCode",
"required": true,
"type": "string",
"description": {
"de": "Der Einmalcode",
"en": "The one-time code"
}
},
{
"name": "expiresInMinutes",
"required": true,
"type": "integer",
"description": {
"de": "Gültigkeit in Minuten",
"en": "Validity in minutes"
}
},
{
"name": "partnerName",
"required": false,
"type": "string",
"description": {
"de": "Ihr Name",
"en": "Your name"
}
}
],
"allowedHelpers": [
"if",
"unless",
"each"
],
"limits": {
"maxSourceBytes": 102400,
"maxRenderedBytes": 204800,
"renderTimeoutMs": 2000
}
}
}Email (SMTP and templates)
Get a template variable contract
Returns the variables, helpers and limits of a template purpose. See Email OTP links.
Required permissions: manage-consumer-email · API keys: allowed
GET
/
partner
/
v1
/
email-template-contracts
/
{purpose}
Get a template variable contract
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/email-template-contracts/{purpose}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "email-template-contract",
"purpose": "redemption-link-otp",
"variables": [
{
"name": "otpCode",
"required": true,
"type": "string",
"description": {
"de": "Der Einmalcode",
"en": "The one-time code"
}
},
{
"name": "expiresInMinutes",
"required": true,
"type": "integer",
"description": {
"de": "Gültigkeit in Minuten",
"en": "Validity in minutes"
}
},
{
"name": "partnerName",
"required": false,
"type": "string",
"description": {
"de": "Ihr Name",
"en": "Your name"
}
}
],
"allowedHelpers": [
"if",
"unless",
"each"
],
"limits": {
"maxSourceBytes": 102400,
"maxRenderedBytes": 204800,
"renderTimeoutMs": 2000
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Template purpose.
Available options:
redemption-link-otp Response
OK
Single-object envelope around a EmailTemplateContract.
The variable contract of a template purpose.
Show child attributes
Show child attributes